# class AmebaLS::Provider

- AmebaLS::Provider
- Larimar::Provider
- Reference
- Object

##
Included Modules

- Larimar::CodeActionProvider

##
Defined in:

ameba-ls/larimar/provider.cr

##
Constant Summary

Log = `::Larimar::Log.for(self)`
RULES_DISABLED = `["Layout/TrailingBlankLines", "Layout/TrailingWhitespace", "Lint/Formatting"] of ::String`

##
Instance Method Summary

- #on_change(document : Larimar::TextDocument) : Nil
- #on_close(document : Larimar::TextDocument) : Nil
- #on_open(document : Larimar::TextDocument) : Nil
- #on_save(document : Larimar::TextDocument) : Nil
- #provide_code_actions(document : Larimar::TextDocument, range : LSProtocol::Range | LSProtocol::SelectionRange, context : LSProtocol::CodeActionContext, token : CancellationToken | Nil) : Array(LSProtocol::CodeAction | LSProtocol::Command) | Nil
- #resolve_code_action(code_action : LSProtocol::CodeAction, token : CancellationToken | Nil) : LSProtocol::CodeAction | Nil

##
Instance Method Detail

def on_change(document : Larimar::TextDocument) : Nil #
def on_close(document : Larimar::TextDocument) : Nil #
def on_open(document : Larimar::TextDocument) : Nil #
def on_save(document : Larimar::TextDocument) : Nil #
def provide_code_actions(document : Larimar::TextDocument, range : LSProtocol::Range | LSProtocol::SelectionRange, context : LSProtocol::CodeActionContext, token : CancellationToken | Nil) : Array(LSProtocol::CodeAction | LSProtocol::Command) | Nil #
def resolve_code_action(code_action : LSProtocol::CodeAction, token : CancellationToken | Nil) : LSProtocol::CodeAction | Nil #